> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extend.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Processor

> Update an existing processor in Extend.

This endpoint allows you to update the properties of an existing processor.

### Path Parameters

<ParamField path="id" type="string" required>
  The ID of the processor to update.
</ParamField>

### Body

<ParamField body="name" type="string" optional>
  The new name for the processor.
</ParamField>

<ParamField body="config" type="object" optional>
  The new configuration for the processor. See the [Processor
  Configs](/api-reference/guides/processor_configs) guide for more details.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  A true or false value indicating whether the processor was updated
  successfully or not.
</ResponseField>

<ResponseField name="processor" type="DocumentProcessor">
  A DocumentProcessor object representing the updated processor. See the
  [DocumentProcessor object](/api-reference/objects/processor) for more details.
</ResponseField>

### Error Responses

<ResponseField name="success" type="boolean">
  Will be `false` if the request failed.
</ResponseField>

<ResponseField name="error" type="string">
  A description of the error that occurred.
</ResponseField>

<ResponseExample>
  ```json Example Success Response theme={null}
  {
    "success": true,
    "processor": {
      "object": "document_processor",
      "id": "processor_1234",
      "name": "Updated Invoice Processor",
      "type": "EXTRACT",
      "createdAt": "2024-03-01T12:00:00Z",
      "updatedAt": "2024-03-01T13:00:00Z",
      "draftVersion": {
        "id": "dpv_4567",
        "version": "draft",
        "config": {
          // Config object - see “Processor configs” for details
        }
      }
    }
  }
  ```
</ResponseExample>
